import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { LoginAuthenticationUseCase } from './LoginAuthenticationUseCase';

class LoginAuthenticationController {
    async handle(request: Request, response: Response) {
        const { cpf, password } = request.body
        const loginAuthenticationUseCase = container.resolve(LoginAuthenticationUseCase)

        const user = await loginAuthenticationUseCase.execute({
            cpf,
            password
        })

        return response.status(200).json(user)
    }
}

export { LoginAuthenticationController }