import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { CreateCurserUseCase } from './CreateCurserUseCase';


class CreateCurserController {
    async handle(request: Request, response: Response) {
        const { title, information } = request.body;
        const createCurserUseCase = container.resolve(CreateCurserUseCase)

        const curser = await createCurserUseCase.execute({
            title,
            information
        })

        return response.status(200).json(curser)
    }
}

export { CreateCurserController }