import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { CreateMessageUseCase } from './CreateMessageUseCase';

class CreateMessageController {
    async handle(request: Request, response: Response) {
        const { message, forum_id } = request.body;
        const createMessageUseCase = container.resolve(CreateMessageUseCase)

        const messagem = await createMessageUseCase.execute({
            message,
            forum_id
        })

        return response.status(200).json(messagem)
    }
}

export { CreateMessageController }