import { IUsersRepository } from "@modules/users/repositories/IUsersRepostory";
import { AppError } from "@shared/error/AppError";
import { inject, injectable } from "tsyringe";

@injectable()
class DeleteUserUseCase {
    constructor(
        @inject('UsersRepository')
        private usersRepository: IUsersRepository
    ) {}

    async execute(id: string) {
        const userAlreadyExists = await this.usersRepository.findById(id);
        if (!userAlreadyExists) {
            throw new AppError('User doesnt exists', 404);
        }

        await this.usersRepository.deleteUser(id)

        return true;
    }
}


export {DeleteUserUseCase}