import 'reflect-metadata';
import bcrypt from 'bcryptjs';
import { IUsersRepository } from '@modules/users/repositories/IUsersRepostory';
import { AppError } from '@shared/error/AppError';
import { inject, injectable } from 'tsyringe';


@injectable()
class UpdateUserUseCase {
    constructor(
        @inject('UsersRepository')
        private usersRepository: IUsersRepository
    ) { }

    async execute({ id, name, email, password, cpf, curriculo }) {
        const userDoesntxists = await this.usersRepository.findById(id);
        if (!userDoesntxists) {
            throw new AppError('User already exists', 404);
        }

        const passwordHashed = await bcrypt.hash(password, 10);
        const user = await this.usersRepository.update({
            id,
            name,
            email,
            password: passwordHashed,
            cpf,
            curriculo
        });

    }
}

export { UpdateUserUseCase }