import { CreateUserController } from '@modules/users/useCases/createUsers/CreateUserController';
import { DeleteUserController } from '@modules/users/useCases/deleteUser/deleteUserController';
import { FindManyUsersController } from '@modules/users/useCases/findManyUsers/FindManyUsersController';
import { FindOneUserController } from '@modules/users/useCases/findOneUser/FindOneUserController';
import { UpdateUserController } from '@modules/users/useCases/updateUsers/UpdateUserController';
import { Router } from 'express';

const userRoutes = Router();

const createUserController = new CreateUserController();
const findOneUserController = new FindOneUserController();
const deleteUserController = new DeleteUserController();
const findManyUsersUseCase = new FindManyUsersController();
const updateUserController = new UpdateUserController();

userRoutes.post('/', createUserController.handle);
userRoutes.get('/', findOneUserController.handle);
userRoutes.delete('/:id', deleteUserController.handle)
userRoutes.get('/all', findManyUsersUseCase.handle )
userRoutes.put('/:id', updateUserController.handle)

export { userRoutes };